<?php
if ( !defined( 'IN_CMS' ) ) {
    exit();
}

\IoC::resolve( 'eventmediator' )->attach( 'before_route', function( FastRoute\RouteCollector $r, $request, $response ) {
    $r->get( 'file_manager/[{path:\\w+}]', 'plugins\\file_manager\\controllers\\Directorycontroller@index' );
    $r->post( 'file_manager/create_directory/[{path:\\w+}]', 'plugins\\file_manager\\controllers\\Directorycontroller@create' );
    $r->get( 'file_manager/delete_directory/{path:\\w+}', 'plugins\\file_manager\\controllers\\Directorycontroller@delete' );
    $r->post( 'file_manager/create_file/{path:\\w+}', 'plugins\\file_manager\\controllers\\FileController@create' );
    $r->get( 'file_manager/delete_file/{path:\\w+}', 'plugins\\file_manager\\controllers\\FileController@delete' );
    $r->post( 'file_manager/rename_file/{path:\\w+}', 'plugins\\file_manager\\controllers\\FileController@rename' );
    $r->post( 'file_manager/change_permissions/{path:\\w+}', 'plugins\\file_manager\\controllers\\FileController@changePermissions' );
    $r->post( 'file_manager/upload_file/{path:\\w+}', 'plugins\\file_manager\\controllers\\FileController@uploadFile' );
    $r->get( 'file_manager/view_file/{path:\\w+}', 'plugins\\file_manager\\controllers\\FileController@viewFile' );
    $r->post( 'file_manager/save_file/{path:\\w+}', 'plugins\\file_manager\\controllers\\FileController@saveFile' );
    $r->get( 'public/css/file_manager/style.css', 'plugins\\file_manager\\controllers\\AssetsController@css' );
    return true;
} );

\IoC::resolve( 'eventmediator' )->attach( 'after_initialize_backend_menu', function( library\BackendMenu $backendMenu ) {
    $backendMenu->push( ['name' => 'files', 'url' => 'file_manager/'] );
    return true;
} );

// $logger = \IoC::resolve( 'logger' );
// $logger->write( sprintf( '[%s] [%s] [%s] Plugin file_manager initialized.', date( 'Y-m-d H:i:s' ), __FILE__, 'info' ) );
